/** @file hio_include.h Include hiosys plugin headers */

/*
 **************************************************** 
 Convenience header file that includes all headers 
 relevant to the hiosys plugin. To use the plugin for
 other projects just include this convenience header.

 (c) Sebastian Perk, Thomas Moor, Klaus Schmidt 2008
 ****************************************************
 */

#ifndef FAUDES_HIO_INCLUDE_H
#define FAUDES_HIO_INCLUDE_H

#include "hio_constraint.h"
#include "hio_plant.h"
#include "hio_controller.h"
#include "hio_environment.h"
#include "hio_functions.h"

#endif

// TODO:
// - think abaout functions IoFormReduction() and IoFormExtension()
// - tutorials: hio_1_hiogenerators.cpp, hio_2_hioalgorithms.cpp, ...
// - update GUI "hiodesigner" with current plugin version.
// - functions in hio_functions.cpp: pass hiogenerators instead of std generators

/** 

@defgroup hiosysplugin Hierarchical I/O Systems PlugIn

@ingroup AllPlugins

@section Overview

<p>
This plugin offers data structures and algorithms for the analysis and
the design of hierarchical discrete event systems with inputs and
outputs according to
</p>

<p><i>
S. Perk, Th. Moor and K. Schmidt. Hierarchical discrete event systems
with inputs and outputs. WODES 2006 - 8th International Workshop on Discrete
Event Systems, Ann Arbor, USA, 2006.
</i></p>

and

<p><i>
S. Perk, Th. Moor and K. Schmidt. Controller Synthesis for an I/O-Based
Hierarchical System Architecture. WODES 2008 - 9th International Workshop
on Discrete Event Systems, Goeteborg, Sweden, 2008.
</i></p>

@section License

<p>
The HioSys plugin is distributed with libFAUDES and under the terms of
the LGPL.
</p>

@section Contents

*/
