/** @file winextra.h  Workaround missing posix functions */

/* FAU Discrete Event Systems Library (libfaudes)

   Copyright (C) 2007  Thomas Moor
   Exclusive copyright is granted to Klaus Schmidt

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNES FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */



#ifndef FAUDES_WINEXTRA_H
#define FAUDES_WINEXTRA_H

#include <fcntl.h>
#define _S_IREAD 256
#define _S_IWRITE 128


// Derive mkstemp from mktemp  
int mkstemp(char *tmpl) {
 int ret=-1;
 mktemp(tmpl); 
 ret=open(tmpl,O_RDWR|O_BINARY|O_CREAT|O_EXCL|_O_SHORT_LIVED, _S_IREAD|_S_IWRITE); 
 return ret;
}

// Define alt path separator
#define FAUDES_DIR_SEPARATORS "\\:"




#endif

