/** @file libluafaudes.h Includes all libluafaudes headers, incl lua  */

/* FAU Discrete Event Systems Library (libfaudes)

   Copyright (C) 2008 Thomas Moor
   Exclusive copyright is granted to Klaus Schmidt

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */


#ifndef FAUDES_LIBLUAFAUDES_H
#define FAUDES_LIBLUAFAUDES_H


// lua essentials
#define lua_c

// lua essentials
extern "C" {
#include "lua.h"
#include "lauxlib.h"
#include "lualib.h"
}


// std streams for console logging
#include <iostream>
#include <fstream>
#include <sstream>
#include <string>

// luafaudes: include faudes
#include "corefaudes.h"

// include declarations for SWIG generated module loaders 
#include "lbp_load.h"

// luafaudes: logging externals, defined in commonfaudes.i
extern std::ofstream* luafaudes_logstream;
extern std::string luafaudes_lastline;
extern void luafaudes_logwrite(const char* str);
extern void luafaudes_logwrite(const std::string& str);



#endif
