#!/bin/sh


# simple script to run tutorials, create images, and to 
# installs them in the libfaudes doxygen tree

# configure
MULTITASKING=../

DOTWRITE=../../../bin/mtc2dot
DOTEXEC=/usr/bin/dot
CONVERT=/usr/bin/convert
DSTDIR=$MULTITASKING/src/doxygen/faudes_images

# advertise
echo ======================================================
echo ===  running tutorials ===============================
echo ======================================================

./mtc_3_observer
./mtc_2_functions
cp data/*.gen results


# advertise
echo ======================================================
echo ===  converting gen to png/svg =======================
echo ======================================================


# loop all .gen files
for FILE in results/*.gen ; do
  BASE=$(basename $FILE .gen)
  echo ============= processing $BASE
  $DOTWRITE $FILE
  $DOTEXEC -Tsvg  -Gsize=7 results/$BASE.dot -o results/$BASE.svg
  $CONVERT results/$BASE.svg results/$BASE.png
done;

# advertise
echo ======================================================
echo ===  copy do doc =====================================
echo ======================================================

cp -v results/*.png $DSTDIR