/** @file tp_3_parallel.cpp

Tutorial, timed parallel composition.
Demonstratates synchronous composition of two timed automata by function faudes::TParallel

@ingroup Tutorials 

@include tp_3_parallel.cpp

*/


#include "libfaudes.h"
#include "tp_include.h"


// for simplicity we make the faudes namespace available to our program

using namespace faudes;



/////////////////
// main program
/////////////////

int main() {

  /***************************************************************
   * read two generators and perform parallel composition
   *
   ***************************************************************/


  tGenerator g1("data/tsimplemachine.gen");
  tGenerator g2("data/tbuffer.gen");
  tGenerator gres;

  TParallel(g1,g2,gres);


  std::cout << "######################################\n";
  std::cout << "# t simple machine with buffer  \n";
  gres.DWrite();
  std::cout << "######################################\n";

  gres.Write("tmp_tmachinewithbuffer.gen");


  return 0;
}



